Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.src 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.src
Interface InitializerElement.Impl

All Superinterfaces:
  Element.Impl, Serializable

Enclosing class:
  InitializerElement

    public static interface InitializerElement.Impl

extends Element.Impl

Pluggable implementation of initializers.

See Also:
  `InitializerElement`

Field Summary
`static long` | `serialVersionUID` Deprecated. Only public by accident.

Method Summary
`String` | `getBody()` Get the body of this initializer.
`JavaDoc` | `getJavaDoc()` Get the JavaDoc.
`boolean` | `isStatic()` Test whether this initializer is static.
`void` | `setBody(String s)` Set the body of this initializer.
`void` | `setStatic(boolean stat)` Set the `static` flag for this initializer.

Methods inherited from interface org.openide.src.Element.Impl
`addPropertyChangeListener, attachedToElement, getCookie, markCurrent, readResolve, removePropertyChangeListener`

Field Detail

### serialVersionUID

    static final long serialVersionUID

  Deprecated. Only public by accident.
  See Also:
    Constant Field Values

Method Detail

### setStatic

    void setStatic(boolean stat)
                   throws SourceException

  Set the `static` flag for this initializer.

  Parameters:
    `stat` - `true` to make static
  Throws:
    `SourceException` - if impossible

### isStatic

    boolean isStatic()

  Test whether this initializer is static.

  Returns:
    `true` if it is

### setBody

    void setBody(String s)
                 throws SourceException

  Set the body of this initializer.

  Parameters:
    `s` - the new body
  Throws:
    `SourceException` - if impossible

### getBody

    String getBody()

  Get the body of this initializer.

  Returns:
    the string representing the body

### getJavaDoc

    JavaDoc getJavaDoc()

  Get the JavaDoc.

  Returns:
    the JavaDoc

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.src 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.